Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.teststeps
Class WsdlPropertiesTestStep

    java.lang.Object
      com.eviware.soapui.model.support.AbstractModelItem
          com.eviware.soapui.impl.wsdl.AbstractWsdlModelItem<com.eviware.soapui.config.TestStepConfig>
              com.eviware.soapui.impl.wsdl.teststeps.WsdlTestStep
                  com.eviware.soapui.impl.wsdl.teststeps.WsdlPropertiesTestStep

All Implemented Interfaces:
  ModelItem, TestStep, PropertyChangeNotifier

    public class WsdlPropertiesTestStep

extends WsdlTestStep

TestStep that holds an arbitrary number of custom properties

Author:
  ole.matzura

Nested Class Summary
`class` | `WsdlPropertiesTestStep.StepProperty` Internal property class

Nested classes/interfaces inherited from class com.eviware.soapui.model.support.AbstractModelItem
`AbstractModelItem.ShowModelItemAction`

Field Summary

Fields inherited from interface com.eviware.soapui.model.testsuite.TestStep
`DISABLED_PROPERTY, LABEL_PROPERTY`

Fields inherited from interface com.eviware.soapui.model.ModelItem
`DESCRIPTION_PROPERTY, ICON_PROPERTY, NAME_PROPERTY`

Constructor Summary
`WsdlPropertiesTestStep(WsdlTestCase testCase, com.eviware.soapui.config.TestStepConfig config, boolean forLoadTest)`

Method Summary
`WsdlPropertiesTestStep.StepProperty` | `addProperty(java.lang.String name)`
`void` | `clearPropertyValues()`
`java.lang.String` | `getSource()`
`int` | `getStepPropertyCount()`
`java.lang.String` | `getTarget()`
`WsdlPropertiesTestStep.StepProperty` | `getTestStepPropertyAt(int index)`
`boolean` | `isCreateMissingOnLoad()`
`boolean` | `isDiscardValuesOnSave()`
`boolean` | `isSaveFirst()`
`int` | `loadProperties(boolean createMissing)`
`void` | `onSave()`
`void` | `removeProperty(java.lang.String name)`
`void` | `removePropertyAt(int index)`
`void` | `resetConfigOnMove(com.eviware.soapui.config.TestStepConfig config)` Called from WsdlTestCase when moving a teststep due to no move functionality in xmlbeans generated arrays.
`TestStepResult` | `run(TestRunner testRunner, TestRunContext testRunContext)`
`int` | `saveProperties()`
`void` | `setCreateMissingOnLoad(boolean b)`
`void` | `setDiscardValuesOnSave(boolean b)`
`void` | `setPropertyValue(java.lang.String name, java.lang.String value)`
`void` | `setSaveFirst(boolean b)`
`void` | `setSource(java.lang.String source)`
`void` | `setTarget(java.lang.String target)`

Methods inherited from class com.eviware.soapui.impl.wsdl.teststeps.WsdlTestStep
`addProperty, addTestStepListener, cancel, clone, createPanelBuilder, deleteProperty, dependsOn, finish, firePropertyAdded, firePropertyRemoved, firePropertyRenamed, firePropertyValueChanged, getLabel, getProperty, getPropertyNames, getPropertyValue, getRequiredInterfaces, getTestCase, getTestStepTitle, hasEditor, isDisabled, isForLoadTest, postInit, prepare, propertyRenamed, removeTestStepListener, setDisabled, setName`

Methods inherited from class com.eviware.soapui.impl.wsdl.AbstractWsdlModelItem
`getConfig, getDescription, getIcon, getName, getParent, getSettings, getWsdlModelItemByName, release, setConfig, setDescription, setIcon, setSettings`

Methods inherited from class com.eviware.soapui.model.support.AbstractModelItem
`addPropertyChangeListener, addPropertyChangeListener, notifyPropertyChanged, notifyPropertyChanged, notifyPropertyChanged, removePropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.eviware.soapui.model.ModelItem
`getDescription, getIcon, getName, getSettings`

Methods inherited from interface com.eviware.soapui.support.PropertyChangeNotifier
`addPropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### WsdlPropertiesTestStep

    public WsdlPropertiesTestStep(WsdlTestCase testCase,
                                  com.eviware.soapui.config.TestStepConfig config,
                                  boolean forLoadTest)

Method Detail

### run

    public TestStepResult run(TestRunner testRunner,
                              TestRunContext testRunContext)

### getTestStepPropertyAt

    public WsdlPropertiesTestStep.StepProperty getTestStepPropertyAt(int index)

### getStepPropertyCount

    public int getStepPropertyCount()

### getSource

    public java.lang.String getSource()

### setSource

    public void setSource(java.lang.String source)

### getTarget

    public java.lang.String getTarget()

### setTarget

    public void setTarget(java.lang.String target)

### resetConfigOnMove

    public void resetConfigOnMove(com.eviware.soapui.config.TestStepConfig config)

  Description copied from class: `WsdlTestStep`
  Called from WsdlTestCase when moving a teststep due to no move functionality in xmlbeans generated arrays.

  Overrides:
    `resetConfigOnMove` in class `WsdlTestStep`
  Parameters:
    `config` - the new config to use, will be a copy of the existing one. The current will be invalid

### addProperty

    public WsdlPropertiesTestStep.StepProperty addProperty(java.lang.String name)

### removeProperty

    public void removeProperty(java.lang.String name)

### removePropertyAt

    public void removePropertyAt(int index)

### loadProperties

    public int loadProperties(boolean createMissing)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### saveProperties

    public int saveProperties()
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### isCreateMissingOnLoad

    public boolean isCreateMissingOnLoad()

### setCreateMissingOnLoad

    public void setCreateMissingOnLoad(boolean b)

### isSaveFirst

    public boolean isSaveFirst()

### setSaveFirst

    public void setSaveFirst(boolean b)

### isDiscardValuesOnSave

    public boolean isDiscardValuesOnSave()

### setDiscardValuesOnSave

    public void setDiscardValuesOnSave(boolean b)

### setPropertyValue

    public void setPropertyValue(java.lang.String name,
                                 java.lang.String value)

  Specified by:
    `setPropertyValue` in interface `TestStep`
  Overrides:
    `setPropertyValue` in class `WsdlTestStep`

### onSave

    public void onSave()

  Overrides:
    `onSave` in class `AbstractWsdlModelItem<com.eviware.soapui.config.TestStepConfig>`

### clearPropertyValues

    public void clearPropertyValues()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.